Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25688

Description

no layer are visible in Snapping and Digitizing Options window (Advanced configuration) after qgis projectstart

if i duplicate a layer, all layers are visible...a little video show this problem

@matthias

can you please check this issue? i think its easy to fix.

thank you

QGIS version

2.99.0-Master

QGIS code revision

7febd1e461

Compiled against Qt

5.9.2

Running against Qt

5.9.2

Compiled against GDAL/OGR

2.2.3

Running against GDAL/OGR

2.2.3

Compiled against GEOS

3.5.0-CAPI-1.9.0

Running against GEOS

3.5.0-CAPI-1.9.0 r4084

PostgreSQL Client Version

9.2.4

SpatiaLite Version

4.3.0

QWT Version

6.1.3

PROJ.4 Version

493

QScintilla2 Version

2.10.1

This copy of QGIS writes debugging output.
Revision 9a14e8df - 2018-01-12 10:17 AM - Mathieu Pellerin - nIRV

[snapping] fix missing layers in snapping config dialog (fixes #17792) (#6026)

History

#1 - 2018-01-05 10:16 AM - Matthias Kuhn

- Assignee deleted (Matthias Kuhn)

I'm a bit short of time right now

#2 - 2018-01-05 02:36 PM - Randal Hale

Just checked and in the latest Ubuntu Master (d69f932) Advanced configuration doesn't appear when clicked. Everything else seems to be working as

clicked.

#3 - 2018-01-09 06:49 AM - Mathieu Pellerin - nIRV

- Easy fix? changed from Yes to No

- Regression? changed from No to Yes

- Operating System deleted (Win 7 64bit)

I can confirm this on my linux workstations.

Upon project load, the snapping advanced configuration layer tree isn't populated with the project layers. Adding a layer onto the opened project will make

all layers appear in the snapping advanced configuration layer tree.

Steps to reproduce

    1. Load a pre-existing project

    2. Open the snapping options (Project > Snapping options...)

    3. Switch snapping on, and selected advanced configuration

    4. Node the absence of layers in the layer tree widget

    5. Go back to the canvas (leave the snapping dialog open), add a temporary scratch/memory layer

    6. Go back to the snapping dialog, note all of your layers are back

#4 - 2018-01-12 10:17 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|9a14e8dfcbea14e6a8c565131c9eae9dfc6e0a05.

#5 - 2018-01-16 02:02 PM - Jan Lippmann

This Bug is gone. Thanks for fixing.

#6 - 2018-02-22 09:13 AM - Giovanni Manghi

- Resolution set to fixed/implemented
